Community Edition 9.0

I acquired source code from git://git.jetbrains.org/idea/community.git,
  loaded it in Community Edition 9.0 but somehow I got 32 errors and a
lot of warnings. The warnings are mostly, if not all, deprecated
methods. My concern is about those errors; cannot find symbol; and they
are all under the groovy plug-ins.

Am I in the right newsgroup to post regarding these kinds of issues?

Thanks,
ric

3 comments
Comment actions Permalink

I had the same problem when I tried to compile the community edition using Open JDK 1.6. I was able to get past it by compiling in Sun's JDK.

HTH,

Simon

0
Comment actions Permalink

I was able to fix the problem by adding the JetGroovy plug-in :)

0
Comment actions Permalink

Hello ricky,

Make sure that you have the Groovy plugin enabled in your IntelliJ IDEA installation.
Some of IntelliJ IDEA code is written in Groovy, and you won't be able to
compile everything correctly if you don't have the plugin enabled.

I acquired source code from
git://git.jetbrains.org/idea/community.git,
loaded it in Community Edition 9.0 but somehow I got 32 errors and a
lot of warnings. The warnings are mostly, if not all, deprecated
methods. My concern is about those errors; cannot find symbol; and
they are all under the groovy plug-ins.

Am I in the right newsgroup to post regarding these kinds of issues?


--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0

Please sign in to leave a comment.